Internet Explorer Maintenance

You can use the Internet Explorer Maintenance (IEM) tool to customize how the browser looks and functions for users using computers that are joined to a Windows domain. IEM is an extension to the Group Policy Microsoft Management Console (MMC) snap-in. You can use IEM to enforce your organization's Internet-related standards, and also to provide a common browser interface to your users.

  • Overview of IEM

  • Use IEM

Additional references

  • For more information about Internet Explorer, see the Internet Explorer portal at http://go.microsoft.com/fwlink/?LinkId=67683.

  • For more information about working with Group Policy, see the in-product Help file (Gpedit.chm) or the Group Policy documentation at http://go.microsoft.com/fwlink/?linkid=67684.

  • To customize Windows Internet Explorer 7 before it is deployed to your users, or to administer Internet Explorer on multiple operating systems or in an environment that does not use the Active Directory directory service, use Internet Explorer Administration Kit 7. For more information, see http://go.microsoft.com/fwlink/?LinkId=67685.

  • For more information about IEM, see the IEM technical reference at http://go.microsoft.com/fwlink/?LinkId=67682.


Overview of IEM

If your organization uses the Active Directory directory service, you can use Internet Explorer Maintenance (IEM) in Group Policy to customize and manage Internet Explorer for your users and computers. IEM enables you to define an Internet Explorer configuration as part of a Group Policy object (GPO). In addition, you can choose whether the settings that you deploy will be refreshed over time or just applied once for your organization.

This documentation covers how to use IEM on computers that are running versions of the Windows XP, Windows Server 2003, Windows Vista, or Windows Server 2008 operating systems.

You can use this version of IEM to configure features of Internet Explorer 6 and a portion of the features of Internet Explorer 7. However, to fully manage Internet Explorer 7, you should use Internet Explorer Administration Kit 7 (IEAK 7), which is available at http://go.microsoft.com/fwlink/?LinkId=67685.

Note

You must be a member of the Administrators group to work with IEM and GPOs. For more information about working with GPOs, see the Group Policy in-product Help file (Gpedit.chm) or the documentation at http://go.microsoft.com/fwlink/?linkid=67684.

Before you begin

Before you begin using IEM, you should determine whether you want to configure the settings you create to be mandatory (fixed) or just initial default settings that your users can modify.

To create mandatory settings, you must use the settings in Group Policy in Administrative Templates — do not use IEM. After you apply mandatory settings to a user's computer, only an administrator can change the settings.

You can also enable the Internet Explorer Maintenance policy processing setting in Group Policy (located in Group Policy under Computer Configuration\Administrative Templates\System\Group Policy) to refresh any settings configured using IEM when the GPO refreshes. See the description text in Group Policy for information about how to configure the check boxes for this policy.

Important

If you do not enable this policy, your users will lose the settings applied by IEM if you apply any customized settings through IEM and then run the Reset Internet Explorer Settings feature in Internet Explorer.

If you use IEM to create settings, you can set this tool to either non-Preference Mode or Preference Mode. Preference Mode settings will be applied only once, but non-Preference Mode settings will be refreshed over time. You should use Preference Mode if you want your users to start with the same configuration for their browsers, but want them to be able to personalize their Internet Explorer settings later.

By default, IEM is in non-Preference Mode. To change to Preference Mode, see Use IEM in Preference Mode.

Additional references

  • To learn more about IEM modes, see the IEM technical reference at http://go.microsoft.com/fwlink/?linkid=67682.

  • To learn more about IEM, see Internet Explorer Maintenance.


Use IEM

You can use Internet Explorer Maintenance (IEM) in Group Policy to edit a Group Policy object (GPO) to customize and manage Internet Explorer. The settings that you create for Internet Explorer will be updated the next time the GPO is applied to your organization. If your users later customize the settings, their settings may be overwritten each time you refresh the GPO.

By default, the customized settings created using IEM are not policies. To create policies using IEM, you must enable the Internet Explorer Maintenance policy processing setting in Group Policy.

Important

If you do not enable this policy, your users will lose the settings applied by IEM if you apply any customized settings through IEM and then use the Reset Internet Explorer Settings feature in Internet Explorer.

  • Open IEM

  • Use IEM in Preference Mode

  • Configure IEM Settings

Additional references

  • To learn more about IEM, see Internet Explorer Maintenance.

  • For more information about working with Group Policy, see the in-product Help (Gpedit.chm) or the Group Policy documentation at http://go.microsoft.com/fwlink/?linkid=67684.

  • To administer Internet Explorer on multiple operating systems or in an environment that is not managed by the Active Directory directory service, use the tools in Internet Explorer Administration Kit 7. For more information, see http://go.microsoft.com/fwlink/?LinkId=67685.


Open IEM

Internet Explorer Maintenance (IEM) is an extension to the Group Policy Microsoft Management Console (MMC) snap-in.

Note

You must be a member of the Administrators group to work with IEM and Group Policy objects.

To open IEM

  1. Open Group Policy using one of the ways described in the Group Policy product documentation at http://go.microsoft.com/fwlink/?LinkId=67717. The method you use will depend on the object that you want to manage.

  2. In Group Policy, double-click <Group_Policy_object_name> Policy, double-click User Configuration, double-click Windows Settings, and then click Internet Explorer Maintenance.

Additional references

  • For more information about Group Policy, see the Group Policy in-product Help (Gpedit.chm) or http://go.microsoft.com/fwlink/?linkid=67723.

  • To learn more about working with IEM, see Use IEM.


Use IEM in Preference Mode

By default, Internet Explorer Maintenance (IEM) is in non-Preference Mode. To change IEM to Preference Mode, do the following steps.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

Notes
  • If you choose Preference Mode, you cannot revert back to non-Preference Mode without first clicking Reset Browser Options on the right-click menu. However, if you do this, you will lose all of the browser-related settings you configured in IEM.
  • Not all items in IEM can be configured using Preference Mode. When IEM is in Preference Mode, the text (Preference Mode) appears next to the items that can be configured.
To use IEM in Preference Mode

  1. In Group Policy, double-click <GPO_name> Policy, double-click User Configuration, and then double-click Windows Settings.

  2. Right-click Internet Explorer Maintenance, and then click Preference Mode.

Additional references

  • To open IEM, see Open IEM.

  • To learn more about modes in IEM, see the IEM technical reference at http://go.microsoft.com/fwlink/?linkid=67682.

  • To learn more about working with IEM, see Use IEM.


Configure IEM Settings

You can use Internet Explorer Maintenance (IEM) in Group Policy to perform the following tasks to customize Internet Explorer for the users and computers in your organization. Some of these tasks are only possible if you are using IEM either in non-Preference Mode or in Preference Mode. By default, IEM is in non-Preference Mode. When you are using IEM in Preference Mode, the text (Preference Mode) appears next to the items that can be configured. In addition, a new category, Advanced, appears in the left pane. When IEM is in non-Preference Mode, all visible items can be configured.

For instructions on changing IEM from non-Preference Mode to Preference Mode, see Use IEM in Preference Mode.

Note

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs). For more information about working with GPOs, see the Group Policy in-product Help (Gpedit.chm) or the documentation at http://go.microsoft.com/fwlink/?linkid=67684.

Browser User Interface. Use these options to customize the appearance of the browser.

  • Customize Browser Title

  • Add Custom Logo and Animated Bitmaps

  • Configure Browser Toolbar Customizations

Connection. Use these options to preset and control the users' connection settings, such as dial-up and local area network (LAN) connections.

  • Configure Connection Settings

  • Configure Automatic Browser Configuration

  • Configure Proxy Settings

  • Customize the User Agent String

URLs. Use these options to modify the default URLs that in your users' browser, including links for the search bar, the Home page, and the Favorites list.

  • Manage Favorites and Links

  • Customize Important URLs

Security. Use these options to configure your users' security settings to prevent them from accidentally compromising network security.

  • Configure Security Zones and Content Ratings

  • Configure Authenticode Settings

Programs. Use these options to specify the default Internet programs for performing common Internet tasks (such as reading e-mail or viewing newsgroups).

  • Specify Programs

Advanced. Use these options to specify the values for additional settings. This includes the disk space that is allowed for temporary Internet files, the location of ActiveX control or Java code downloads, browser display settings, and connection settings for your corporation.

  • Configure Corporate Settings

  • Configure Internet Settings

    Notes
    • The Advanced category only appears in the left pane of IEM if you are using the tool in Preference Mode.
    • On the Windows Vista and Windows Server 2008 operating systems, all of the items that can be configured in Advanced are also available as policies under Administrative Templates.

Additional references

  • For more information about working with IEM, see Use IEM.

  • For more information about modes in IEM, see http://go.microsoft.com/fwlink/?LinkId=67686.


Customize Browser Title

In this dialog box in Internet Explorer Maintenance (IEM), you can customize the text that appears in the title bar of Internet Explorer.

Note

The Browser Title setting is available in non-Preference Mode only. It is not available in Preference Mode.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To customize the Internet Explorer title bar text using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Browser User Interface, and then in the right pane, double-click Browser Title.

  3. Select the Customize Title Bars check box to provide custom text, and then in Title Bar Text, type the text that you want to display in the custom browser.

    The text will appear as: "Windows Internet Explorer provided by <your title bar text here>".

Additional references

  • For instructions for opening IEM, see Open IEM.

  • For more information about working with IEM, see Configure IEM Settings.


Add Custom Logo and Animated Bitmaps

For installations of Internet Explorer 6, you can use this dialog box in Internet Explorer Maintenance (IEM) to create custom logos and animated bitmaps. The logo in the upper right corner of the browser appears in two states: static when no action is taking place, and either animated or static when the browser is in use. You can replace the logo bitmaps with your own animated or static bitmaps. To learn more about how to design and create custom bitmaps for Internet Explorer 6 or earlier, see Adding Toolbar Buttons (http://go.microsoft.com/fwlink/?LinkId=67687).

Notes
  • This option is not available for Internet Explorer 7. Logos in Internet Explorer 7 have been replaced by favicons and cannot be customized.
  • The Custom Logo setting is available in non-Preference Mode only. It is not available in Preference Mode.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

Static logos

Static logos appear without animation whether or not any action is taking place in the browser. To use a custom static logo, you must create two bitmaps: one small (22 x 22 pixels) and one large (38 x 38 pixels). Then, do the following:

To add a custom logo to Internet Explorer 6 using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Browser User Interface, and then in the right pane, double-click Custom Logo and Animated Bitmaps.

  3. Select the Customize the static logo bitmaps check box to provide a custom logo, and then specify the name and location to the bitmap files in the Small (22x22) bitmap and Large (38x38) bitmap boxes.

Animated bitmaps

For animated bitmaps, the first frame appears static when no action is taking place in the browser. The remaining frames appear animated when the browser is in use. To use a custom animated bitmap, you must first create two animated bitmaps: one small (22 x 22 pixels) and one large (38 x 38 pixels). Then, do the following:

To add an animated bitmap to Internet Explorer 6 using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Browser User Interface, and then in the right pane, double-click Custom Logo and Animated Bitmaps.

  3. Select the Customize the animated bitmaps check box to provide a custom logo, and then specify the name and location to the bitmap files in the Small (22x22) bitmap and Large (38x38) bitmap boxes.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Browser Toolbar Customizations

In this dialog box in Internet Explorer Maintenance (IEM), you can customize the toolbar of Internet Explorer. For installations of Internet Explorer 6 only, you can change the background bitmap for the toolbar. For installations of Internet Explorer 6 and Internet Explorer 7, you can add custom buttons from which you can launch scripts or programs.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

Background bitmap

You can provide a custom bitmap for the background for the toolbar. To do this, do the following:

To add a custom bitmap to the Internet Explorer 6 toolbar using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Browser User Interface, and then in the right pane, double-click Browser Toolbar Customizations.

  3. Click Customize toolbar background bitmap, and then type the location and name of the bitmap file.

    Notes
    • The toolbar background should be the size of the toolbar and light-colored enough to show black text.
    • If you enable themes in Windows, IEM does not use your custom toolbar background. To use a custom toolbar background, switch to the Windows Classic theme.

Custom buttons

You can add, edit, or remove custom buttons from your users' browsers. To do this, do the following:

To add, edit, or remove custom buttons in Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Browser User Interface, and then in the right pane, double-click Browser Toolbar Customizations.

  3. Select the Delete existing toolbar buttons, if present check box to delete all of the toolbar buttons that were added manually to the users' browser. The standard buttons that were installed by default with Internet Explorer will remain.

  4. Then, do one or more of the following:

    • To add a custom button: Click Add, and then do the following:

      In Toolbar caption (required), type the text that should appear when users hover over the toolbar button. The recommended maximum length is 10 characters.

      In Toolbar Action, as script file or executable (required), type the name and location of the script file or executable file that will run when a user clicks this button, or click Browse to find the file.

      In Toolbar color icon (required), type the name and location of the file that represents the button in its active state, or click Browse to find the file. The icon consists of 20 x 20 pixel images for active and inactive states.

      In Toolbar grayscale icon (required), type the name and location of the grayscale icon for the toolbar that appears on black-and-white monitors, or click Browse to find the file.

      Select the This button should be shown on the toolbar by default check box to display the toolbar button in the users' browser. You should clear this check box if you want to offer a set of custom buttons, but want your users to be able to choose whether or not to use the new buttons. In this case, the buttons you add will appear in the Customize Toolbars dialog under Available toolbar buttons. The user can access this dialog box in Internet Explorer by clicking Tools, clicking Toolbars, and then clicking Customize.

    • To edit a custom button: In the list of toolbar buttons, click the button that you want to change, and then click Edit.

    • To remove a custom button: In the list of toolbar buttons, click the item that you want to delete, and then click Remove. The toolbar button is immediately removed from the list and when you apply the custom settings to your users' browsers, the button is not available.

      Note

      Only custom buttons can be removed this way. The default buttons for Internet Explorer cannot be removed.

Additional references

  • For instructions for opening IEM, see Open IEM.

  • For more information about working with IEM, see Configure IEM Settings.

  • For more instructions and design guidelines for creating custom buttons, see Adding Toolbar Buttons (http://go.microsoft.com/fwlink/?LinkId=67687).


Configure Connection Settings

In this dialog box in Internet Explorer Maintenance (IEM), you can preset connection settings for your users' installations of Internet Explorer by using the settings from your computer. You should first view the settings for your computer to make sure they will work for your users. Then you can import the settings from your computer into your configuration settings file.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs)

To view Internet connection settings

  1. Click Start, and then click Internet Explorer.

  2. Click the Tools menu, click Internet Options, and then click the Connections tab.

  3. On the tab, click Settings to view dial-up settings, and click LAN Settings to view automatic configuration and proxy server local area network (LAN) settings.
Note

If you are planning to use an .ins file to configure your users' settings, the address for automatic configuration is not imported as part of this procedure and must be set manually. See Configure Automatic Browser Configuration for more information.
To import connection settings for Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Connection, and then in the right pane, double-click Connection Settings.

  3. Click Import the current Connection Settings from this machine to use the connection settings from your computer to preset your users' settings.

  4. If you want to change any of these settings before they are applied, click Modify Settings to open the Connections tab in the Internet Properties dialog box, and then edit the settings as needed.

  5. If you are a corporate administrator, select the Delete existing Dial-up Connection Settings check box to clear the existing settings on your users' computers.

    Note

    If you are a corporate administrator, you can also use system policies and restrictions to configure whether users can change their connection settings. You can set policies and restrictions using Internet Explorer Administration Kit 7 (IEAK 7) or through automatic configuration in IEM. For more information about IEAK 7, see http://go.microsoft.com/fwlink/?LinkId=67685. For more information about automatic configuration, see Configure Automatic Browser Configuration.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Automatic Browser Configuration

In this dialog box in Internet Explorer Maintenance (IEM), you can specify files that will automatically configure Internet Explorer after it is deployed. You can configure options by using .ins files to set standard proxy settings. You can also specify script files in .js, .jvs, or .pac file formats that enable you to configure and maintain advanced proxy settings.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

First, to configure an .ins file for use in this dialog box, do the following:

To export the settings from your computer to an .ins file using IEM

  1. In Group Policy, double-click Local Computer Policy, double-click User Configuration, and then double-click Windows Settings.

  2. Right-click Internet Explorer Maintenance, and then click Export Browser Settings.

  3. Enter the location and name of the .ins file that you want to use.

Then, to specify the location of the .ins file and related information for use by IEM, do the following:

To set up automatic configuration for Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Connection, and then in the right pane, double-click Automatic Browser Configuration.

  3. Then do one or more of the following:

    • If you want your users' installation of Internet Explorer to be automatically configured when started, even if it is a version of Internet Explorer that the user obtained from elsewhere, select the Automatically detect configuration settings check box.

    • If you want to regularly change Internet Explorer settings after the browser is deployed to your users, and you want to do this automatically by providing configuration files, select the Enable Automatic Configuration check box to set the interval for updates and then specify the location for configuration files. When you do this, the following items will become active:

      Automatically configure every <time_interval> minutes: Specify the interval in minutes for settings to be applied in your organization. If you enter zero (0), or do not enter a value, automatic configuration occurs only when the user's computer is restarted.

      Auto-config URL (.INS file): Enter the location of the .ins file that you want to use for automatic configuration (auto-config).

      Auto-proxy URL (.JS, .JVS, or .PAC file): Enter the location for the automatic proxy (auto-proxy) script.

      Notes
      • If you specify URLs for both auto-config and auto-proxy, the auto-proxy URL will be incorporated into the .ins file. The correct form for the URL is http://share/test.ins. For more information about auto-proxy files, see the Internet Explorer Administration Kit 7 documentation (http://go.microsoft.com/fwlink/?LinkId=67685).
      • You can configure network servers using Domain Name System (DNS) and Dynamic Host Configuration Protocol (DHCP) to automatically detect and configure a browser's settings when the user first starts the browser on a network. For more information, see the product documentation for your DNS and DHCP software packages.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Proxy Settings

In this dialog box in Internet Explorer Maintenance (IEM), you can specify which proxy servers your users connect to for various services. In certain cases you may not want to use a proxy server, for example, for addresses on your corporate intranet. This dialog enables you to note these exceptions.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To configure proxy settings using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Connection, and then in the right pane, double-click Proxy Settings.

  3. Select the Enable proxy settings check box to use proxy servers for any of the listed services. Then, do the following:

    • Under Address of proxy, type the address of the proxy server for a service. In most cases, a single proxy is used for all addresses. The proxy locations that do not begin with a protocol (such as http:// or ftp://) are assumed to be a CERN-type HTTP proxy. For example, the entry proxy would be treated the same as the entry http://proxy. For File Transfer Protocol (FTP) gateways, type the protocol ftp:// in front of the proxy name. For example, you would enter an FTP gateway ftpproxy as ftp://ftpproxy.

    • Under Port, type the port number for each service. The default setting is Port 80.

    • Select the Use the same proxy server for all addresses check box to use the same proxy server settings for all the listed services.

  4. In Do not use proxy server for addresses beginning with, enter specific addresses for which you do not want to use a proxy server. A proxy bypass entry can begin with a protocol type, such as http://, https://, ftp://, or gopher://. If a protocol type is used, the exception entry applies only to requests for that protocol. The protocol value is not case sensitive and this field allows a wildcard character (*) to be used in the place of zero or more characters. Use a semicolon to separate entries. For this version of IEM, this list is limited to 2064 characters.

    Note

    The gopher:// protocol type is not available for Internet Explorer 7.

  5. Select the Do not use proxy server for local (intranet) addresses check box to bypass proxy servers for all addresses on your intranet.

Additional references

  • For instructions for opening IEM, see Open IEM.


Customize the User Agent String

Some companies track Web site statistics, such as how many times their content is accessed and what type of Web browsers customers are using. You can track the use of your customized version of Internet Explorer by using a user agent string, which is sent in the header of every HTTP request so that Web server for a site can detect what type of browser is being used.

In this dialog box in Internet Explorer Maintenance (IEM), you can customize the user agent string by adding characters to the end of the string. Customizing the user agent string is optional, but if you decide to do this, be aware that other companies that track site statistics will see the customized string.

Notes
  • The User Agent String setting is available in non-Preference Mode only. It is not available in Preference Mode.
  • For Internet Explorer 7, the value MSIE 7.0 (with a space) is used to identify browser type.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To customize the user agent string for Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Connection, and then in the right pane, double-click User Agent String.

  3. Select the Customize string to be appended to user agent string check box, and then in the text box type the characters that you want to use for the customized browser.

Additional references

  • For instructions for opening IEM, see Open IEM.


Manage Favorites and Links

In this dialog box in Internet Explorer Maintenance (IEM), you can customize the Favorites folder and the Links bar. For example, you can add links to sites related to your company or services. You can also add links to the default folders or add new folders.

To enable the Links bar, right-click the Internet Explorer toolbar and then click Links. In Internet Explorer 6, Links appears as a folder on the Favorites menu and as an item on the toolbar. In Internet Explorer 7, Links appears as a folder in the Favorites Center on the left side of the main window and as an item on the toolbar.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To add, remove, or organize Favorites and Links for Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click URLs, and then in the right pane, double-click Favorites and Links.

  3. Then, do one or more of the following:

    • To change the order of links: Select the Place favorites and links at the top of the list in the order specified below check box to specify that the favorites and links you choose are moved to the top of the users' lists, making them easier for users to find. When you select this option, the Up and Down buttons become available.

    • To delete existing links: If you are a corporate administrator, select the Delete existing Favorites and Links, if present check box to delete the items on the users' Favorites and Links lists. You should use this setting with caution because it removes, among other links, the items that your users added.

    • To delete administrator-created links: Select the Only delete the favorites created by the administrator check box to just delete the items on your users' Favorites and Links lists that an administrator set up for them earlier. This option becomes active if you select the Delete existing Favorites and Links, if present check box.

    • To delete channels: If you are a corporate administrator, select the Delete existing channels, if present check box to delete any channels on your users' computers. Channels are available only on computers that have been upgraded from Internet Explorer 4.0 or Windows 98.

    • To add a link: Click Favorites or Links, or a folder within one of these categories, and then click Add URL. Then, do the following:

      Type a friendly name for link in the Name box.

      Type the destination of your link in the URL box.

      To specify a 16 x 16 pixel custom icon for this link, type the name and location of the file in the Icon box, or click Browse to locate the file. This is optional.

      If you are a corporate administrator, select the Make available offline check box to make this page available to users who are not connected to the Internet. This option can be helpful for users with laptop computers.

      Note

      You can add up to 200 links to the Favorites folder.

    • To add a folder: Click Favorites or Links, or a folder within one of these categories, and then click Add Folder. Type the name of your folder in the Name box.

    • To edit a link: Select the link you want to change, and then click Edit. Follow the same steps that you did for Add for specifying information for the Name, URL, and Icon fields.

    • To remove a link from Favorites or Links: Click the link, and then click Remove.

    • To test a link: Click the link, and then click Test URL. This opens an instance of Internet Explorer that attempts to connect to that URL.

    • To import an existing folder of links: Click Favorites or Links, and then click Import. In the Browse for Folder dialog box, locate, and then click the folder of desired links on your computer. If you are using Windows XP, Windows Vista, or Windows Server 2008, these links are most likely located in the <SystemDrive>:\Documents and Settings\<user_name>\Favorites folder.

Additional references

  • For instructions for opening IEM, see Open IEM.


Customize Important URLs

In this dialog box in Internet Explorer Maintenance (IEM), you can specify the URLs for the Home page, Search bar, and Online Support page instead of using the default values provided by Internet Explorer.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

Home page

The home page appears when the user clicks the Home button. Internet Explorer comes preconfigured to display the http://www.msn.com page, or you can specify a URL to another page.

To specify the URL for the Home page in Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click URLs, and then in the right pane, double-click Important URLs.

  3. Select the Customize Home page URL check box and then type the URL in the Home page URL text box.

Search bar

For users using Internet Explorer 6, you can create a custom search bar. For more information about creating a custom search bar, see Windows Search Assistant (http://go.microsoft.com/fwlink/?LinkId=67688). To use a custom search bar, do the following:

To specify the URL for the Search bar in Internet Explorer 6 using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click URLs, and then in the right pane, double-click Important URLs.

  3. Select the Customize Search bar URL check box, and then type the URL in the Search bar URL text box.

    Note

    This option is not available for Internet Explorer 7 users. For information about creating custom .ADM files or .ADMX files to add search providers to the toolbar search box for Internet Explorer 7, see article 918238 in the Microsoft Knowledge Base (http://go.microsoft.com/fwlink/?LinkId=67808).

Online Support page

In Internet Explorer, users can access support information from Microsoft when they click Help and then click Online Support. However, your organization may want to create a custom support page for your users. To specify a custom support page, do the following:

To specify the URL for the Online Support page in Internet Explorer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click URLs, and then in the right pane, double-click Important URLs.

  3. Select the Customize Online support page URL check box, and then type the URL in the Online support page URL text box.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Security Zones and Content Ratings

In this dialog box in Internet Explorer Maintenance (IEM), you can manage security zones, privacy settings, and content ratings to help you control the types of content that your users can access on the Internet.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

Security zones and privacy

The default security zones and privacy settings vary depending on the version of Windows operating system that you are using. You can import settings to use for your organization from your computer.

To import security zones and privacy settings from your computer using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Security, and then in the right pane, double-click Security Zones and Content Ratings.

  3. Click Import the current security zones and privacy settings to use the settings from your computer to preset your users' settings.

    If you receive a warning that the settings you are importing do not have Internet Explorer Enhanced Security Configuration enabled, then you should verify whether user computers in your organization need to have this feature enabled. If you click Continue after the warning, computers that do have the enhanced security configuration enabled will maintain the enhanced security configuration after the settings from your computer are applied. Computers that do not have the enhanced security configuration enabled will be configured with the settings you are importing.

    Note

    To support users with and without the enhanced security configuration, you can create a Group Policy object for each scenario and apply them to the applicable users.

  4. To change any of the settings you are importing, click Modify Settings. This opens the Security tab on the Internet Properties dialog box.

  5. Edit the settings as needed.

Additional references

For more information about the enhanced security configuration and how it changes your users' Web browsing experience, see article 815141 in the Microsoft Knowledge Base (http://go.microsoft.com/fwlink/?linkid=67689).

Content ratings

The categories of content ratings that you can use to manage Web browsing in your organization vary depending on the version of Windows operating system that you are using. To configure content ratings settings, do the following:

To import content ratings from your computer

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Security, and then in the right pane, double-click Security Zones and Content Ratings.

  3. Click Import the current Content Ratings settings to use the settings from your computer to preset your users' settings.

  4. To change the settings you are importing, click Modify Settings. This opens the Ratings tab on the Content Advisor dialog box.

  5. Edit the settings as needed.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Authenticode Settings

For your users with Internet Explorer 6, you can use this dialog box in Internet Explorer Maintenance (IEM) to designate which software publishers and credential agencies are trusted by your organization.

Note

This option is for Internet Explorer 6 only. It is not available for Internet Explorer 7.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To specify trusted software publishers and credential agencies using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Security, and then in the right pane, double-click Authenticode Settings.

  3. Click Import current Authenticode Security information to use the settings from your computer to preset your users' settings.

  4. To change the settings you are importing, click Modify Settings. This opens the Trusted Publishers tab in the Certificates dialog box.

  5. Edit the settings as needed.

  6. Select the Enable trusted publisher lockdown check box to prevent your users from adding another trusted publisher while browsing the Internet.

    Note

    It is still possible for your users to add a trusted publisher directly, but you can prevent this using Administrative Templates in Group Policy.

Additional references

  • For instructions for opening IEM, see Open IEM.


Specify Programs

In this dialog box in Internet Explorer Maintenance (IEM), you can customize which programs your users use by default for Internet services (such as e-mail and newsgroups) by importing the program associations from your computer.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To import program associations for Internet services using IEM

  1. In IEM, expand Internet Explorer Maintenance.

  2. In the left pane, click Programs, and then in the right pane, double-click Programs.

  3. Click Import the current Program Settings to use the program associations from your computer to preset your users' settings.

  4. If you want to change any of these settings before they are applied, click Modify Settings. This opens the Programs tab in the Internet Properties dialog box.

  5. Edit the settings as needed.

Additional references

  • For instructions for opening IEM, see Open IEM.


Configure Corporate Settings

In this dialog box in Internet Explorer Maintenance (IEM), you can customize preference settings in the Inetcorp.iem file for the users and computers in your organization. These settings enable you to specify the behavior of temporary Internet files, the location used to download ActiveX or Java controls, and which error codes are allowed.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To configure Corporate Settings for Internet Explorer using IEM

  1. In IEM, right-click Internet Explorer Maintenance, and then click Preference Mode. An item called Advanced should appear in the left pane.

  2. Click Advanced, and then in the right pane, double-click Corporate Settings.

  3. Edit the values in one or more of the following dialog boxes:

    • Temporary Internet Files (User). You can use this dialog box to define how often the temporary Internet files are refreshed and how much space will be allotted for these files. Caching files can be useful when you are using roaming user profiles on a network. If you do not use caching, all temporary Internet files are copied to the user's profile folder when the user logs off. The temporary Internet files are then copied back to the local computer the next time the user logs on. This can be time-consuming and can use a lot of server space.

    • Temporary Internet Files (Machine). You can use this dialog box to define how much space is allotted for temporary Internet files on each computer. To prevent caching files, select the Disable Roaming Cache check box. Clearing the check box automatically enables roaming caching for users.

    • Code Download. You can use this dialog box to specify the location or locations of your own directory of ActiveX controls or Java code. When Internet Explorer navigates to a page that requires an ActiveX control or Java code that is not already on the computer, a sequence of URLs are searched for the required item. The URLs searched are determined by the code download path.

    • Related Sites and Errors. You can use this dialog box to suppress certain error codes from appearing for your organization. This is not available for computers running Internet Explorer 7, Windows Vista, or Windows Server 2008.

Additional references:

  • For instructions for changing IEM to preference mode, see Use IEM in Preference Mode.

  • For instructions for opening IEM, see Open IEM.


Configure Internet Settings

In this dialog box in Internet Explorer Maintenance (IEM), you can customize preference settings in the Inetset.iem file for the users and computers in your organization. These settings can also be set using Internet Options in Control Panel or using Group Policy administrative templates.

Certain Internet Settings options are only supported in either Internet Explorer 6 or Internet Explorer 7. For example, the following Advanced settings options are supported in Internet Explorer 6, but are not supported in Internet Explorer 7:

  • Show Go button in Address bar

  • Show friendly URLs

  • Enable page hit counting

  • Play videos

Note

For this version of IEM, all settings in this dialog box have been converted to true policies that can be managed from Group Policy. These settings are located in Group Policy under Computer Configuration or User Configuration at Administrative Templates\Windows Components\Internet Explorer\Internet Settings.

You must be a member of the Administrators group to work with IEM and Group Policy objects (GPOs).

To configure Internet Settings for Internet Explorer using IEM

  1. In IEM, right-click Internet Explorer Maintenance, and then click Preference Mode.

  2. In the left pane, click Advanced, and then in the right pane, double-click Internet Settings.

  3. Edit the values in one or more of the following dialog boxes:

    • AutoComplete. Use this dialog box to specify whether you want Windows to complete entries that are typed by users, based on entries they have used before. This includes URLs in the Internet Explorer address bar, paths in the Windows Explorer address bar, and various fields in Web forms, including passwords. For example, if you start typing http://www.micr and you have visited http://www.microsoft.com before, AutoComplete will suggest "http://www.microsoft.com." In particular, you can disable your users' ability to save passwords by clearing the Prompt to save passwords check box. The settings available in this dialog box are more detailed than the settings available in Internet Options.

    • Display Settings. Use this dialog box to configure various display settings, including default text size, background colors, and link colors for visited and non-visited sites. These settings are also available in Internet Options on the General tab.

    • Advanced Settings. Use this dialog box to configure settings for connections, multimedia, security, printing, browsing, and searching. In addition, you can specify whether you want to enable the Microsoft VM (virtual machine) logging and Microsoft VM JIT (just in time) compiler features. You may want to disable these features to restrict the use of Active Content and/or to comply with the Internet Explorer Enhanced Security Configuration default settings. These settings are a subset of the settings that are available in Internet Options on the Advanced tab. For more information about restricting Active Content, see article 154036 in the Microsoft Knowledge Base (http://go.microsoft.com/fwlink/?linkid=67807). For more information about default settings, see Managing Internet Explorer Enhanced Security Configuration, (http://go.microsoft.com/fwlink/?linkid=26091).

    • URL Encoding. Configure this option to specify whether to use UTF-8. This enables your users to exchange URLs that contain characters from any language.

    • Component Updates. Use this dialog box to specify whether you want to update Internet Explorer and the cipher strength value in About Internet Explorer on the Help menu. For Internet Explorer updates, you can use the default URL that points to Internet Explorer downloads (http://go.microsoft.com/fwlink/?linkid=67690), or you can specify another site used by your company. In addition, you can specify how often you want your computers to check for updates.

Additional references

  • For instructions for changing IEM to preference mode, see Use IEM in Preference Mode.

  • For instructions for opening IEM, see Open IEM.